/*
 * Copyright 2010 by Kappich Systemberatung Aachen
 *
 * This file is part of de.bsvrz.pua.prot.
 *
 * de.bsvrz.pua.prot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.bsvrz.pua.prot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.pua.prot.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436
 * mail: <info@kappich.de>
 */

package de.bsvrz.pua.prot.data;

import de.bsvrz.dav.daf.main.Data;

/**
 * @author Kappich Systemberatung
 * @version $Revision: 0000 $
 */
class ProtocolUnscaledDataArrayView extends ProtocolDataArrayView implements Data.NumberArray {

	public ProtocolUnscaledDataArrayView(final AttributeProtocolData attributeProtocolData) {
		super(attributeProtocolData);
	}

	@Override
	public Data.NumberArray asUnscaledArray() {
		return this;
	}

	@Override
	public Data.NumberArray asScaledArray() {
		return new ProtocolDataArrayView(_attributeProtocolData);
	}

	@Override
	public Data.NumberValue getValue(final int itemIndex) {
		return getUnscaledValue(itemIndex);
	}
}
